Permit Events
Get permit events by permit
Section titled “Get permit events by permit”GET /{organizationNickname}/projects/{projectId}/permits/{permitId}/eventsGets a paginated list of permit events.
Header Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | String | Civillo API Credentials *required |
Query Parameters
| Name | Type | Description |
|---|---|---|
| pageNumber | Number | Page number (default: 1) |
| pageSize | Number | Page size (default: 50) |
Responses
| Status | Meaning |
|---|---|
| 200 | Success |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Permit not found |
Sample output
{ "pageNumber": 1, "pageSize": 50, "totalCount": 100, "totalPages": 2, "items": [ { // These properties are always included. "permitId": 123, "type": 1, "typeLabel": "Category status update", "timestamp": "2025-12-07T23:30:00.000Z", "description": "Event description.", "comment": "User comment", "groupId": 1, "user": "e534ed18-cef2-428c-b823-f3f707cb09c4",
// Included if this is a permit status update event (type 0). "permitStatus": 1,
// Included when this is a category status update event (type 1). "permitCategoryStatus": 1,
// Included if this is a permit status OR category update event (types 0 and 1). // Human-readable label for the status. // Represent a permit status or a category status depending on the context. "statusLabel": "Category pending",
// Included with category related events (types 1, 4, 8, 10 and 11). "categoryInstanceId": 123, "categoryName": "My category",
// Included with attachment related events (types 2 and 9). "fileName": "a-file.jpg" },
// more permit events ]}Event Types
Section titled “Event Types”| Value | Name | Description |
|---|---|---|
| 0 | StatusUpdate | The overall permit status was updated. |
| 1 | CategoryStatusUpdate | A specific permit category’s status was updated. |
| 2 | AttachmentAdded | A file was attached to the permit. |
| 3 | Comment | A user added a comment to the permit. |
| 4 | CategoryDataSignature | A category was signed. |
| 5 | PermitSignature | The entire permit was signed. |
| 6 | PermitHold | A user began holding the permit. |
| 7 | PermitRelinquish | A user stopped holding a permit. |
| 8 | PermitCategoryDataResponse | A response was submitted for a permit category. |
| 9 | AttachmentRemoved | A file was removed from the permit. |
| 10 | OpenCategoryAdded | An open category was added to the permit. |
| 11 | OpenCategoryRemoved | An open category was removed from the permit. |
| 12 | LayerRevised | A related layer was revised/updated. |